/*
PiAnoS (Picture Annotation System), A fingerprint examiner training tool
Copyright (C) 2011-2012 University of Lausanne, Switzerland
https://ips-labs.unil.ch/pianos

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see http://www.gnu.org/licenses/.
*/

Pianos4Backend.IFrame = function(selector, id, isExID, comparison)
{
	assert(selector !== null);

	this.init = function()
	{
		var url = '?action=report&' + (isExID ? 'id=' : 'aid=') +id;
		if (comparison) url += '&step=COMPARISON';
		var node = new udb.node({element:selector});
		node.dom().css('width','100%').css('height','100%');
		_iframe = new udb.iframe({
			src: url,
			parent: node,
			onLoad: function() {
				var div = _iframe.dom(true);
				
			}
		});
		_iframe.dom().css('width','100%').css('height','100%');
	}
	
	var _iframe = null;
	var _div = null;
}
